=== debian/changelog ===
ros-rolling-rmw-dds-common (1.4.1-1focal) focal; urgency=high

  * Fix include order for cpplint (#55 <https://github.com/ros2/rmw_dds_common/issues/55>)
  * Contributors: Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rmw-dds-common (1.4.0-1focal) focal; urgency=high

  * Fix up rmw_dds_common documentation when using rosdoc2 (#54 <https://github.com/ros2/rmw_dds_common/issues/54>)
  * Add support for Certificate Revocation List files (#52 <https://github.com/ros2/rmw_dds_common/issues/52>)
  * Silence clang warning (range-loop-construct) (#53 <https://github.com/ros2/rmw_dds_common/issues/53>)
  * Contributors: Chris Lalancette, Karsten Knese, Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 16 Sep 2021 07:00:00 -0000

ros-rolling-rmw-dds-common (1.3.0-1focal) focal; urgency=high

  * Add a common function for security files. (#51 <https://github.com/ros2/rmw_dds_common/issues/51>)
  * Normalize rmw_time_t according to DDS spec (#48 <https://github.com/ros2/rmw_dds_common/issues/48>)
  * Contributors: Andrea Sorbini, Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 28 Jun 2021 07:00:00 -0000

ros-rolling-rmw-dds-common (1.2.1-1focal) focal; urgency=high

  * Fix one more instance of index.ros.org. (#49 <https://github.com/ros2/rmw_dds_common/issues/49>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#46 <https://github.com/ros2/rmw_dds_common/issues/46>)
  * Contributors: Chris Lalancette, shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rmw-dds-common (1.2.0-1focal) focal; urgency=high

  * Add function for checking QoS profile compatibility (#45 <https://github.com/ros2/rmw_dds_common/issues/45>)
  * Shorten some excessively long lines of CMake (#44 <https://github.com/ros2/rmw_dds_common/issues/44>)
  * Fix test_graph_cache ASAN errors (#41 <https://github.com/ros2/rmw_dds_common/issues/41>) (#42 <https://github.com/ros2/rmw_dds_common/issues/42>)
  * Contributors: Jacob Perron, Scott K Logan, y-okumura-isp

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 28 Feb 2021 08:00:00 -0000

ros-rolling-rmw-dds-common (1.1.1-1focal) focal; urgency=high

  * Update QD to QL 1 (#38 <https://github.com/ros2/rmw_dds_common/issues/38>)
  * Contributors: Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 10 Dec 2020 08:00:00 -0000

ros-rolling-rmw-dds-common (1.1.0-1focal) focal; urgency=high

  * Create a utility function to limit rmw_time_t to 32-bit values (#37 <https://github.com/ros2/rmw_dds_common/issues/37>)
  * Update maintainers (#34 <https://github.com/ros2/rmw_dds_common/issues/34>)
  * Updated performance section QD (#30 <https://github.com/ros2/rmw_dds_common/issues/30>)
  * Update Quality Declaration to QL2 (#31 <https://github.com/ros2/rmw_dds_common/issues/31>)
  * Added benchmark test to rmw_dds_common (#29 <https://github.com/ros2/rmw_dds_common/issues/29>)
  * Fix potential memory leak (#28 <https://github.com/ros2/rmw_dds_common/issues/28>)
  * Add fault injection macro unit tests (#27 <https://github.com/ros2/rmw_dds_common/issues/27>)
  * Fixed some doxygen warnings (#26 <https://github.com/ros2/rmw_dds_common/issues/26>)
  * Update Quality Declaration to QL3 (#24 <https://github.com/ros2/rmw_dds_common/issues/24>)
  * Update QD and documentation (#23 <https://github.com/ros2/rmw_dds_common/issues/23>)
  * Contributors: Alejandro Hernández Cordero, Chen Lihui, Ivan Santiago Paunovic, Michael Jeronimo, Michel Hidalgo, Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 11 Nov 2020 08:00:00 -0000

ros-rolling-rmw-dds-common (1.0.1-1focal) focal; urgency=high

  * Add Security Vulnerability Policy pointing to REP-2006 (#21 <https://github.com/ros2/rmw_dds_common/issues/21>)
  * Fix graph cache tests (#22 <https://github.com/ros2/rmw_dds_common/issues/22>)
  * Contributors: Chris Lalancette, Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 01 Jun 2020 07:00:00 -0000

ros-rolling-rmw-dds-common (1.0.0-1focal) focal; urgency=high

  * Added Doxyfile (#19 <https://github.com/ros2/rmw_dds_common/issues/19>)
  * Improve test coverage. (#20 <https://github.com/ros2/rmw_dds_common/issues/20>)
  * Add README and QUALITY_DECLARATION for current QL level (#17 <https://github.com/ros2/rmw_dds_common/issues/17>)
  * Contributors: Alejandro Hernández Cordero, Michel Hidalgo, Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-rmw-dds-common (0.1.0-1focal) focal; urgency=high

  * Export targets in addition to include directories / libraries (#15 <https://github.com/ros2/rmw_dds_common/issues/15>)
  * Increasing code coverage (#14 <https://github.com/ros2/rmw_dds_common/issues/14>)
  * security-context -> enclave (#13 <https://github.com/ros2/rmw_dds_common/issues/13>)
  * Make rmw_dds_common use rosidl_generator_interfaces normally (#12 <https://github.com/ros2/rmw_dds_common/issues/12>)
  * Changed rosidl_generator_cpp with rosidl_runtime_cpp (#10 <https://github.com/ros2/rmw_dds_common/issues/10>)
  * Fix windows warning (#7 <https://github.com/ros2/rmw_dds_common/issues/7>)
  * First implementation (#4 <https://github.com/ros2/rmw_dds_common/issues/4>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Ivan Santiago Paunovic, Mikael Arguedas

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sat, 25 Apr 2020 07:00:00 -0000
